Loading...
Searching...
No Matches
BALL::VIEW::MultiColorExtension Class Reference
Visualisation » Datatypes for the VIEW framework » Helper Base Classes for derived GeometricObject 's

`#include <BALL/VIEW/DATATYPE/colorExtensions.h>`

Inheritance diagram for BALL::VIEW::MultiColorExtension:

## Public Member Functions

Constructors
| MultiColorExtension ()
| MultiColorExtension (const MultiColorExtension &color_extension)
virtual | ~MultiColorExtension ()
virtual void | clear ()
Assignment methods
void | set (const MultiColorExtension &color_extension)
const MultiColorExtension & | operator= (const MultiColorExtension &color_extension)
void | swap (MultiColorExtension &color_extension)
Accessors: inspectors and mutators
void | setColors (const vector< ColorRGBA > &colors)
vector< ColorRGBA > & | getColors ()
const vector< ColorRGBA > & | getColors () const
void | setAlphas (Size alpha)
| Set the alpha values for all colors.

## debuggers and diagnostics

vector< ColorRGBA > | colors
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const

## Detailed Description

Base class for geometric objects that need multiple colors. It provides the derived class with methods for accessing these colors.

See also
  ColorRGBA
  ColorUnit

Definition at line 120 of file colorExtensions.h.

## Constructor & Destructor Documentation

## MultiColorExtension() [1/2]

BALL::VIEW::MultiColorExtension::MultiColorExtension | ( |  | ) |

Default Constructor.

## MultiColorExtension() [2/2]

BALL::VIEW::MultiColorExtension::MultiColorExtension | ( | const MultiColorExtension & | color_extension | ) |

Copy constructor.

## ~MultiColorExtension()

virtual BALL::VIEW::MultiColorExtension::~MultiColorExtension | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::MultiColorExtension::clear | ( |  | ) |

virtual

Explicit default initialization. Clears the color vector.

Reimplemented in BALL::VIEW::Mesh, and BALL::VIEW::MultiLine.

## dump()

virtual void BALL::VIEW::MultiColorExtension::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current state of this colorExtension2 to the output ostream s with dumping depth depth.

Parameters

  s | output stream where to output the state of this colorExtension2
  depth | the dumping depth

See also
  ColorRGBA::operator <<

Reimplemented in BALL::VIEW::Mesh, and BALL::VIEW::MultiLine.

## getColors() [1/2]

vector< ColorRGBA > & BALL::VIEW::MultiColorExtension::getColors | ( |  | ) |

Mutable inspection of the colors

## getColors() [2/2]

const vector< ColorRGBA > & BALL::VIEW::MultiColorExtension::getColors | ( |  | ) | const

Non-mutable inspection of the colors

## operator=()

const MultiColorExtension & BALL::VIEW::MultiColorExtension::operator= | ( | const MultiColorExtension & | color_extension | ) |

Assignment operator. Calls set.

## set()

void BALL::VIEW::MultiColorExtension::set | ( | const MultiColorExtension & | color_extension | ) |

Assignment.

## setAlphas()

void BALL::VIEW::MultiColorExtension::setAlphas | ( | Size | alpha | ) |

Set the alpha values for all colors.

## setColors()

void BALL::VIEW::MultiColorExtension::setColors | ( | const vector< ColorRGBA > & | colors | ) |

Change the colors

## swap()

void BALL::VIEW::MultiColorExtension::swap | ( | MultiColorExtension & | color_extension | ) |

Swapping of colorExtensions.

## Member Data Documentation

## colors

vector<ColorRGBA> BALL::VIEW::MultiColorExtension::colors

Definition at line 199 of file colorExtensions.h.